package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

public class DivRequirementState {

    public static final String PENDING = "审核中";
    public static final String REJECTED = "审核不通过";
    public static final String ONGOING = "进行中";
    public static final String CLOSED = "已关闭";
    public static final String OFFLINE = "已下架";
    private static DivRequirementState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DivRequirementState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(CLOSED, CLOSED);
        dicMap.put(PENDING, PENDING);
        dicMap.put(REJECTED, REJECTED);
        dicMap.put(ONGOING, ONGOING);
        dicMap.put(OFFLINE, OFFLINE);
    }

    public static DivRequirementState getInstacne(){
        if (instance == null)
        {
            instance = new DivRequirementState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
